Bug 827289 - Review Request: nix - A purely functional package manager
Review Request: nix - A purely functional package manager
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: kushaldas@gmail.com
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 23:52 EDT by Michel Alexandre Salim
Modified: 2016-02-14 08:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2012-05-31 23:52:33 EDT
Spec URL: http://salimma.fedorapeople.org/specs/devtools/nix.spec
SRPM URL: http://salimma.fedorapeople.org/specs/devtools/nix-1.0-1.fc17.src.rpm
Description:
Nix is a purely functional package manager. It allows multiple
versions of a package to be installed side-by-side, ensures that
dependency specifications are complete, supports atomic upgrades and
rollbacks, allows non-root users to install software, and has many
other features. It is the basis of the NixOS Linux distribution, but
it can be used equally well under other Unix systems.

Fedora Account System Username: salimma
Comment 1 Michel Alexandre Salim 2012-06-01 00:00:01 EDT
Note:
- the Emacs-related patch has not been submitted upstream (unlike the other, Fedora-related commits in patch0) - will ask upstream to pull them after the review process is OKed, as Fedora reviewers are likely more familiar with our Emacs packaging guidelines

- This uses a top-level directory (/nix). It's not strictly speaking necessary, but without that one can not use any pre-built Nix binary packages, which all install to /nix/store -- and thus severely reduce the usefulness of nix (think of macports and fink and the dearth of binary packages there)

- to try using this, after installation try doing the following:

  $ nix-channel --add http://nixos.org/releases/nixpkgs/channels/nixpkgs-unstable/
  (as root)
  # nix-channel --update
  (as any user. might need to start a new login shell first, or source
   /etc/profile.d/nix.sh first)
  $ nix-env -iA nixpkgs.bsdgames
  or the smallest possible package:
  $ nix-env -iA nixpkgs.hello
Comment 2 Michel Alexandre Salim 2012-06-02 12:23:55 EDT
@Kushal - please hold the review until the Packaging Committee vote this Wednesday; the /nix directory use is likely a problem:

  https://fedorahosted.org/fpc/ticket/180

Might have to get the package into RPM Fusion instead (are you a contributor there?)
Comment 3 Jens Petersen 2014-07-15 09:19:34 EDT
Any news?
Comment 4 Jens Petersen 2014-07-15 09:23:06 EDT
codeblock has a copr repo now:

http://copr.fedoraproject.org/coprs/codeblock/nix/
Comment 5 Jens Petersen 2014-07-15 09:24:02 EDT
(In reply to Jens Petersen from comment #3)
> Any news?

NM - I see FPC rejected /nix.

Perhaps it would be better to close this?
Comment 6 Jens Petersen 2014-07-15 09:26:37 EDT
(Latest upstream is now 1.7.)
Comment 7 Christopher Meng 2014-07-15 21:18:15 EDT
This is Fedora, not NixOS... Of course I think FESCo can't agree with this.

Any other solutions?
Comment 8 Jens Petersen 2016-02-14 08:00:13 EST
Would it not be possible to use some other dir?

Anyway I just made today:
https://copr.fedorainfracloud.org/coprs/petersen/nix/

Note You need to log in before you can comment on or make changes to this bug.